Skip to main content
`Ctrl`+`K`

# PetscViewerAppendOptionsPrefix

Appends to the prefix used for searching for `PetscViewer` options in the database during `PetscViewerSetFromOptions()`.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerAppendOptionsPrefix(PetscViewer viewer, const char prefix[])

Logically Collective

## Input Parameters

- viewer - the `PetscViewer` context

- prefix - the prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerGetOptionsPrefix()`, `PetscViewerSetOptionsPrefix()`

## Level

advanced

## Location

src/sys/classes/viewer/interface/view.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages